org.springframework.jca.work.jboss

## Class JBossWorkManagerTaskExecutor

- java.lang.Object
- - org.springframework.jndi.JndiAccessor
  - - org.springframework.jndi.JndiLocatorSupport
    - - org.springframework.jca.work.WorkManagerTaskExecutor
      - - org.springframework.jca.work.jboss.JBossWorkManagerTaskExecutor

- All Implemented Interfaces:
    Executor, WorkManager, Aware, InitializingBean, AsyncTaskExecutor, TaskExecutor, BootstrapContextAware, SchedulingTaskExecutor

      public class JBossWorkManagerTaskExecutor
      extends WorkManagerTaskExecutor

  Spring TaskExecutor adapter for the JBoss JCA WorkManager. Can be defined in web applications to make a TaskExecutor reference available, talking to the JBoss WorkManager (thread pool) underneath.

  This is the JBoss equivalent of the CommonJ `WorkManagerTaskExecutor` adapter for WebLogic and WebSphere.

  Since:
    2.5.2
  Author:
    Juergen Hoeller
  See Also:
    `JBossWorkManagerMBean`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.jndi.JndiLocatorSupport

      `CONTAINER_PREFIX`

    - ### Fields inherited from class org.springframework.jndi.JndiAccessor

      `logger`

    - ### Fields inherited from interface org.springframework.core.task.AsyncTaskExecutor

      `TIMEOUT_IMMEDIATE, TIMEOUT_INDEFINITE`

    - ### Fields inherited from interface javax.resource.spi.work.WorkManager

      `IMMEDIATE, INDEFINITE, UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossWorkManagerTaskExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WorkManager` | `getDefaultWorkManager()` Obtains the default JBoss JCA WorkManager through a JMX lookup for the JBossWorkManagerMBean.
    `void` | `setWorkManagerMBeanName(String mbeanName)` Identify a specific JBossWorkManagerMBean to talk to, through its JMX object name.

    - ### Methods inherited from class org.springframework.jca.work.WorkManagerTaskExecutor

      `afterPropertiesSet, doWork, doWork, execute, execute, prefersShortLivedTasks, scheduleWork, scheduleWork, setBlockUntilCompleted, setBlockUntilStarted, setBootstrapContext, setWorkListener, setWorkManager, setWorkManagerName, startWork, startWork, submit, submit`

    - ### Methods inherited from class org.springframework.jndi.JndiLocatorSupport

      `convertJndiName, isResourceRef, lookup, lookup, setResourceRef`

    - ### Methods inherited from class org.springframework.jndi.JndiAccessor

      `getJndiEnvironment, getJndiTemplate, setJndiEnvironment, setJndiTemplate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossWorkManagerTaskExecutor

          public JBossWorkManagerTaskExecutor()

  - ### Method Detail

    - #### setWorkManagerMBeanName

          public void setWorkManagerMBeanName(String mbeanName)

      Identify a specific JBossWorkManagerMBean to talk to, through its JMX object name.

      The default MBean name is "jboss.jca:service=WorkManager".

      See Also:
        `JBossWorkManagerUtils.getWorkManager(String)`

    - #### getDefaultWorkManager

          protected WorkManager getDefaultWorkManager()

      Obtains the default JBoss JCA WorkManager through a JMX lookup for the JBossWorkManagerMBean.
      Overrides:
        `getDefaultWorkManager` in class `WorkManagerTaskExecutor`
      See Also:
        `JBossWorkManagerUtils.getWorkManager()`